#include <QtCore>
#include "ncview.h"
#include <plasma/dataenginemanager.h>
#include <QPainter>
#include <QFontMetrics>
#include <QSizeF>
#include <QFile>
#include <QString>
#include <stdio.h>
#include <plasma/theme.h>
#include <plasma/dataengine.h>
 
NCView::NCView(QObject *parent, const QVariantList &args)
    : Plasma::Applet(parent, args),
    m_svg()
{
    resize(120, 180);
} 
 
 NCView::~NCView()
{
}
 
void NCView::init()
{
   dataEngine("netstat")->connectSource("NCs", this, 0);
} 

void NCView::dataUpdated(const QString &name, const Plasma::DataEngine::Data &data) 
{
   str = data.value("NCs").toStringList().join("\n");
   update();
}
 
void NCView::paintInterface(QPainter *p, const QStyleOptionGraphicsItem *option, const QRect &contentsRect)
{
    p->setRenderHint(QPainter::SmoothPixmapTransform);
    p->setRenderHint(QPainter::Antialiasing);
    m_svg.resize((int)contentsRect.width(), (int)contentsRect.height());
    m_svg.paint(p, (int)contentsRect.left(), (int)contentsRect.top());
    p->save();
    p->setPen(Qt::black);
    p->drawText(contentsRect, Qt::AlignTop | Qt::AlignLeft, str);
    p->restore();
}

#include "ncview.moc"
